Skip to content

Creates a new rate catalog entry after validating input and checking uniqueness of the (provider, model, effective_from) tuple.

POST
/v1/m/finops/model-rates
curl --request POST \
--url https://example.com/v1/m/finops/model-rates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "cache_creation_rate_micro_usd": 1, "cache_read_rate_micro_usd": 1, "created_at": "example", "effective_from": "2026-04-15T12:00:00Z", "effective_until": "", "id": "example", "input_rate_micro_usd": 1, "model": "example", "notes": "example", "output_rate_micro_usd": 1, "provider": "example", "updated_at": "example" }'

Creates a new rate catalog entry after validating input and checking uniqueness of the (provider, model, effective_from) tuple.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
cache_creation_rate_micro_usd
integer format: int64
cache_read_rate_micro_usd
integer format: int64
created_at
string
effective_from
required
string format: date-time
effective_until
Any of:
string
id
string
input_rate_micro_usd
required
integer format: int64
>= 1
model
required
string
>= 1 characters
notes
string
output_rate_micro_usd
required
integer format: int64
>= 1
provider
required
string
>= 1 characters
updated_at
string

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}